Update valuation prices
curl --request PATCH \
--url https://api.hostreach.io/v1/public/v1/valuations/{id}/prices \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"estimatedPrice": 280000,
"minPrice": 260000,
"maxPrice": 300000
}
'import requests
url = "https://api.hostreach.io/v1/public/v1/valuations/{id}/prices"
payload = {
"estimatedPrice": 280000,
"minPrice": 260000,
"maxPrice": 300000
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({estimatedPrice: 280000, minPrice: 260000, maxPrice: 300000})
};
fetch('https://api.hostreach.io/v1/public/v1/valuations/{id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Valuations
Update valuation prices
Manually override the estimated, minimum, and maximum price for a valuation.
PATCH
/
public
/
v1
/
valuations
/
{id}
/
prices
Update valuation prices
Authorizations
API key (hr_live_... or hr_test_...). Generate from Settings › Workspace › Acceso API.
Path Parameters
Body
application/json
Response
200 - undefined
Was this page helpful?
⌘I